> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orquestr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke license



## OpenAPI

````yaml /openapi.json post /v1/licenses/{id}/revoke
openapi: 3.0.3
info:
  title: Orquestr Cloud API
  version: 1.0.0
  description: Orquestr Cloud API — devices, functions, and API keys.
servers:
  - url: https://sand-api.orquestr.dev/cloud
    description: Production
security: []
tags:
  - name: Customers
    description: Customers and members
  - name: Licenses
    description: Issue and revoke licenses
  - name: Devices
    description: Devices and command history
  - name: Functions
    description: List and invoke device functions
  - name: Saved SQL
    description: Org saved read-only queries
paths:
  /v1/licenses/{id}/revoke:
    post:
      tags:
        - Licenses
      summary: Revoke license
      operationId: post_v1_licenses_id_revoke
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                data:
                  id: l6666666-6666-6666-6666-666666666666
                  customer_id: o2222222-2222-2222-2222-222222222222
                  license_key_prefix: a1b2c3d4
                  expires_at: null
                  max_devices: 1
                  status: revoked
                  created_at: '2026-09-15T18:00:00.000Z'
                  updated_at: '2026-09-15T18:00:00.000Z'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: unauthorized
              message: Unauthorized
    Forbidden:
      description: Insufficient permissions for this resource
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: forbidden
              message: Forbidden
    NotFound:
      description: Resource not found (or hidden)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: not_found
              message: Not found
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: bad_request
            message:
              type: string
              example: Invalid body
            details:
              type: object
              additionalProperties: true
      example:
        error:
          code: bad_request
          message: Invalid body
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: 'API key (`sk_live_…`). Send as `Authorization: Bearer <api_key>`.'
      x-default: <api_key>

````